eth_getCode
Returns the compiled byte code of a smart contract, if any, at a given address.
Parameters
address: [Required] 20 bytes. A string representing the address of the smart contract, from which the compiled byte code will be obtained.block parameter: A string representing a block number, block hash, or one of the string tagslatest,earliest,pending,safe, orfinalized. See the default block parameter.
Returns
The compiled byte code of the smart contract at the given address.
Example
Request
curl https://rpc.testnet.radiustech.xyz/<YOUR-RPC-ENDPOINT> \
-X POST \
-H "Content-Type: application/json" \
-d '
{
"jsonrpc": "2.0",
"method": "eth_getCode",
"params": [
"0xcae4d474a43b186606bb836f463d4b4072b7fbe3",
"latest"
],
"id": 1
}
'Response
{
"jsonrpc": "2.0",
"result": "0x6080604052348015600e575f5ffd5b50600436106030575f3560e01c806360fe47b11460345780636d4ce63c14604c575b5f5ffd5b604a60048036038101906046919060a9565b6066565b005b6052606f565b604051605d919060dc565b60405180910390f35b805f8190555050565b5f5f54905090565b5f5ffd5b5f819050919050565b608b81607b565b81146094575f5ffd5b50565b5f8135905060a3816084565b92915050565b5f6020828403121560bb5760ba6077565b5b5f60c6848285016097565b91505092915050565b60d681607b565b82525050565b5f60208201905060ed5f83018460cf565b9291505056fea2646970667358221220c9d450006b906ff115167c8c7bba9154cc401a7b54810387f4dd053155e2b19664736f6c634300081c0033",
"id": 1
}Request
Response
Last updated
Was this helpful?

